## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

# When bootstrapping, we do not include the “grpc” extra in the BR’s. That adds
# a BR on python3dist(grpcio), but this package is required by
# python3dist(grpcio-status), which creates a circular dependency with grpc.
%bcond_with bootstrap

%global         srcname     googleapis-common-protos
%global         forgeurl    https://github.com/googleapis/python-api-common-protos/
Version:        1.60.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Common protobufs used in Google APIs

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}


%pyproject_extras_subpkg -n python3-%{srcname} grpc


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires -r %{?!with_bootstrap:-x grpc}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
# Upstream has no tests.
#
# Note that google and google.logging are namespace packages.
%pyproject_check_import %{?with_bootstrap:-e 'google.longrunning.*grpc*'}

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc CODE_OF_CONDUCT.md
%doc README.rst
%{python3_sitelib}/googleapis_common_protos-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Aug 01 2023 Major Hayden <major@redhat.com> - 1.60.0-1
- Update to 1.60.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.59.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.59.1-3
- Rebuilt for Python 3.12

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.59.1-2
- Bootstrap for Python 3.12

* Tue Jun 13 2023 Major Hayden <major@redhat.com> - 1.59.1-1
- Update to 1.59.1 rhbz#2214403

* Tue Mar 21 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.59.0-1
- Update to 1.59.0 (close RHBZ#2180489)

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.58.0-1
- Update to 1.58.0 rhbz#2143044

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.56.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.56.4-3
- Update License to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.56.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 12 2022 Major Hayden <major@redhat.com> - 1.56.4-1
- Update to 1.56.4 rhbz#2106455

* Tue Jun 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.56.3-1
- Update to 1.56.3 (close RHBZ#2099834)

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1.56.2-3
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.56.2-2
- Bootstrap for Python 3.11

* Fri May 27 2022 Major Hayden <major@redhat.com> - 1.56.2-1
- Update to 1.56.2

* Fri May 13 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.56.1-2
- Add spec file notes about updating python-xds-protos

* Fri May 13 2022 Major Hayden <major@mhtx.net> - 1.56.1-1
- Update to 1.56.1

* Fri Mar 18 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.56.0-1
- Update to 1.56.0 (close RHBZ#2065457)

* Wed Feb 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.55.0-1
- Update to 1.55.0 (close RHBZ#2057586)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.54.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.54.0-1
- Update to 1.54.0 (close RHBZ#2030075)

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-15
- Express %%%%generate_buildrequires more concisely

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-14
- Use the new %%%%pyproject_check_import macro

* Tue Sep 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-13
- Let pyproject-rpm-macros handle the license file

* Tue Sep 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-12
- Reduce macro indirection in the spec file

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-11
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Wed Jul 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-10
- Move %%generate_buildrequires after %%prep to make the spec file easier
  to follow

* Thu Jul 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-4
- Drop version conditional; maintain the existing practice of cherry-picking
  updates to stable branches rather than merging

* Thu Jul 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.53.0-3
- Tweak how the description macro is written
- Drop obsolete python_provide macro
- Switch to pyproject-rpm-macros
- Add the metapackage for the “grpc” extra
- Add a check section that “smoke-tests” imports

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.53.0-2
- Rebuilt for Python 3.10

* Sun Mar 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.53.0-1
- Update to 1.53.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.52.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.52.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.52.0-1
- Update to 1.52.0

* Sun May 31 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.51.0-2
- Rebuild for Python 3.9

* Fri May 29 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.51.0-1
- Initial RPM release

